Retrieve the latest schemas by status, name, and spaceIds

Retrieve the latest version of schemas. Supports pagination and
filtering by status, name and spaceIds.

Key Features:

  • Returns the custom schemas with schema information details
  • Support advanced filter, pagination and ordering by name

Authorization Logic:

  1. User must have a valid tenant-level JWT token
  2. Token must have viewing scope for custom schema

Usage Example:
Retrieve the custom schemas and check which one to use for building a custom content in Library.

Permissions Required:
Requires: seismic.custom_schema.view

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
spaceIds
array of strings

List of spaces that this schema is distributed to. Note: A schema can be distributed to multiple spaces, and filtering by spaceIds will return all schemas that are distributed to any of the specified spaces.

spaceIds
status
array of strings

Status of this schema, which can be draft, active, or inactive. Note: You can pass in more than 1 status, and filtering by status will return all schemas that match any of the specified statuses passed in the query.

status
string

Name of the schema, supports case insensitive partial match. Note: Filtering by name will return all schemas that match the specified name.

string

Advanced filter to query all details of Schemas. Note: This field will overwrite SpaceIds, Status, and Name filters.

integer
required

(Required) The limit of how many schemas get returned, used for pagination. Note: The default limit is 100, if the value is skipped in the query parameter, it will be treated as 100.

integer
required

(Required) How many schemas to skip from query, used together with limit for pagination. Note: For the first page, skip should be 0, and for the second page, skip should be the same as limit, and so on.

string
enum
Defaults to ascending

Order direction of the returned schemas, which can be ascending or descending. Note: This will work together with orderBy to order the returned schemas by the specified schema property in either ascending or descending order.

Allowed:
string
enum
Defaults to name

Order by which schema property, now it only support ordering by name. Note: This will work together with orderDirection to order the returned schemas by the specified schema property in either ascending or descending order.

Allowed:
include
array of strings

If the response should include space names that the schema is distributed to. Note: This will not return the full space details, only the id and name. Note: The space names will be included in the response under each schema item.

include
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json